Subject: [multipathtcp] FW: New Version Notification for draft-amend-mptcp-robe-01.txt

From: <[email-masked]>
Date: Tue, 5 Nov 2019 07:02:41 +0000

Dear all,

I'm happy to announce the availability of a significantly improved next RobE draft version emerging from the previous draft and draft-kang-mptcp-initial-path-selection.

This time, the document gives a much more complete overview on solutions to redcuce the probability that MPTCP fails at connection establishment. By differentiating the solutions between RFC6824(bis) compatible and requiring protocol modifications, a clear structure is introduced.

BR

Markus

> -----Original Message-----
> From: [email-masked] <[email-masked]>
> Sent: Montag, 4. November 2019 21:46
> To: Amend, Markus <[email-masked]>; Amend, Markus
> <[email-masked]>; Jiao Kang <[email-masked]>
> Subject: New Version Notification for draft-amend-mptcp-robe-01.txt
> 
> 
> A new version of I-D, draft-amend-mptcp-robe-01.txt has been successfully
> submitted by Markus Amend and posted to the IETF repository.
> 
> Name:		draft-amend-mptcp-robe
> Revision:	01
> Title:		Multipath TCP Extension for Robust Session Establishment
> Document date:	2019-11-04
> Group:		Individual Submission
> Pages:		27
> URL:            https://www.ietf.org/internet-drafts/draft-amend-mptcp-robe-
> 01.txt
> Status:         https://datatracker.ietf.org/doc/draft-amend-mptcp-robe/
> Htmlized:       https://tools.ietf.org/html/draft-amend-mptcp-robe-01
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-amend-mptcp-robe
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-amend-mptcp-robe-01
> 
> Abstract:
>    Multipath TCP extends the plain, single-path limited, TCP towards the
>    capability of multipath transmission.  This greatly improves the
>    reliability and performance of TCP communication.  For backwards
>    compatibility reasons the Multipath TCP was designed to setup
>    successfully an initial path first, after which subsequent paths can
>    be added for multipath transmission.  For that reason the Multipath
>    TCP has the same limitations as the plain TCP during connection
>    setup, in case the selected path is not functional.
> 
>    This document proposes a set of implementations and possible
>    combinations thereof, that provide a more Robust Establishment (RobE)
>    of MPTCP sessions.  It includes RobE_TIMER, RobE_SIM, RobE_eSIM and
>    RobE_IPS.
> 
>    RobE_TIMER is designed to stay close to MPTCP in that standard
>    functionality is used wherever possible.  Resiliency against network
>    outages is achieved by modifying the SYN retransmission timer: If one
>    path is defective, another path is used.
> 
>    RobE_SIM and RobE_eSIM provides the ability to simultaneously use
>    multiple paths for connection setup.  They ensure connectivity if at
>    least one functional path out of a bunch of paths is given and offers
>    beside that the opportunity to significantly improve loading times of
>    Internet services.
> 
>    RobE_IPS provides a heuristic to select properly an initial path for
>    connection establishment with a remote host based on empirical data
>    derived from previous connection information.
> 
>    In practice, these independent solutions can be complementary used.
>    This document also presents the design and protocol procedure for
>    those combinations in addition to the respective stand-alone
>    solutions.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat